> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.sesametime.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve employees assigned to a vacation configuration



## OpenAPI

````yaml GET /schedule/v1/vacation-configurations-assignations/{vacationConfigurationId}
openapi: 3.0.0
info:
  description: ''
  version: 3.0.0
  title: Sesame Public API
servers:
  - url: https://api-{region}.sesametime.com
    variables:
      region:
        default: eu1
security: []
tags: []
paths:
  /schedule/v1/vacation-configurations-assignations/{vacationConfigurationId}:
    get:
      tags:
        - Vacation Configurations Assignations
      summary: Retrieve employees assigned to a vacation configuration
      operationId: RetrieveEmployeesAssignedToVacationConfiguration
      parameters:
        - in: path
          name: vacationConfigurationId
          description: Vacation Configuration ID
          required: true
          schema:
            type: string
            format: uuid
        - in: query
          name: year
          description: year of the configuration
          required: false
          schema:
            type: number
            format: int
        - in: query
          name: limit
          description: Limit contract types
          schema:
            type: integer
        - in: query
          name: page
          description: Request a specific page
          schema:
            type: integer
      responses:
        '200':
          description: Array of Objects
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      employee:
                        type: object
                        properties:
                          id:
                            type: string
                            format: uuid
                          firstName:
                            type: string
                            example: Lucas
                          lastName:
                            type: string
                            example: García
                          secondLastName:
                            type: string
                            description: >-
                              The employee's second last name field is only
                              available in Mexico and Colombia
                            nullable: true
                          imageProfileURL:
                            type: string
                            example: >-
                              https://sesame-v2-prod-companies.s3.eu-west-3.amazonaws.com/48351485-1659-413d-bf7f-3ca34fadb521/public-read/g892f1fb-55a3-4e32-9cc9-7c19faa70gaa.png
                          email:
                            type: string
                            format: email
                          workStatus:
                            type: string
                            enum:
                              - online
                              - offline
                              - paused
                              - remote
                          workCheckTypeColor:
                            type: string
                            example: '#FF0000'
                          workCheckTypeName:
                            type: string
                            example: Remote
                      year:
                        type: number
                        format: int
                        example: 2025
                  meta:
                    type: object
                    properties:
                      currentPage:
                        type: integer
                        example: 1
                      lastPage:
                        type: integer
                        example: 1
                      total:
                        type: integer
                        example: 1
                      perPage:
                        type: integer
                        example: 1
      security:
        - Bearer: []
components:
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````